Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portlet.util
Class Parameters

    java.lang.Object
      org.jboss.portlet.util.Parameters

    public class Parameters

extends java.lang.Object

Author:
  Thomas Heute $Revision: 8786 $

Constructor Summary
`Parameters(java.util.Map parameterMap)`

Method Summary
`java.lang.String` | `get(java.lang.String key, java.lang.String def)`
`boolean` | `getBoolean(java.lang.String key, boolean def)` Returns the value as a boolean
`java.lang.Boolean` | `getBooleanObject(java.lang.String key)`
`java.lang.Boolean` | `getBooleanObject(java.lang.String key, boolean def)`
`byte[]` | `getByteArray(java.lang.String key, byte[] def)`
`double` | `getDouble(java.lang.String key, double def)`
`java.lang.Double` | `getDoubleObject(java.lang.String key)`
`java.lang.Double` | `getDoubleObject(java.lang.String key, double defaultValue)`
`float` | `getFloat(java.lang.String key, float def)`
`java.lang.Float` | `getFloatObject(java.lang.String key)`
`java.lang.Float` | `getFloatObject(java.lang.String key, float defaultValue)`
`int` | `getInt(java.lang.String key, int def)`
`java.lang.Integer` | `getIntObject(java.lang.String key)`
`java.lang.Integer` | `getIntObject(java.lang.String key, int defaultValue)`
`long` | `getLong(java.lang.String key, long def)`
`java.lang.Long` | `getLongObject(java.lang.String key)`
`java.lang.Long` | `getLongObject(java.lang.String key, long defaultValue)`
`java.lang.String` | `getParameter(java.lang.String name)`
`boolean` | `getParameterExists(java.lang.String param)`
`short` | `getShort(java.lang.String key, short def)`
`java.lang.Short` | `getShortObject(java.lang.String key)`
`java.lang.Short` | `getShortObject(java.lang.String key, short defaultValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Parameters

    public Parameters(java.util.Map parameterMap)

Parameters:
  `parameterMap` -

Method Detail

### getParameter

    public java.lang.String getParameter(java.lang.String name)

### get

    public java.lang.String get(java.lang.String key,
                                java.lang.String def)

### getBoolean

    public boolean getBoolean(java.lang.String key,
                              boolean def)

  Returns the value as a boolean

  Parameters:
    `key` - Key of the parameter
    `def` - Default value if value is different from true or false
  Returns:
    boolean value for the string "true" or "false" (not sensitive to uppercase/lowercase, and leading/trailing spaces).

### getBooleanObject

    public java.lang.Boolean getBooleanObject(java.lang.String key,
                                              boolean def)

### getBooleanObject

    public java.lang.Boolean getBooleanObject(java.lang.String key)

### getByteArray

    public byte[] getByteArray(java.lang.String key,
                               byte[] def)

### getDouble

    public double getDouble(java.lang.String key,
                            double def)

### getDoubleObject

    public java.lang.Double getDoubleObject(java.lang.String key,
                                            double defaultValue)

### getDoubleObject

    public java.lang.Double getDoubleObject(java.lang.String key)

### getFloat

    public float getFloat(java.lang.String key,
                          float def)

### getFloatObject

    public java.lang.Float getFloatObject(java.lang.String key,
                                          float defaultValue)

### getFloatObject

    public java.lang.Float getFloatObject(java.lang.String key)

### getShort

    public short getShort(java.lang.String key,
                          short def)

### getShortObject

    public java.lang.Short getShortObject(java.lang.String key,
                                          short defaultValue)

### getShortObject

    public java.lang.Short getShortObject(java.lang.String key)

### getInt

    public int getInt(java.lang.String key,
                      int def)

### getIntObject

    public java.lang.Integer getIntObject(java.lang.String key,
                                          int defaultValue)

### getIntObject

    public java.lang.Integer getIntObject(java.lang.String key)

### getLong

    public long getLong(java.lang.String key,
                        long def)

### getLongObject

    public java.lang.Long getLongObject(java.lang.String key,
                                        long defaultValue)

### getLongObject

    public java.lang.Long getLongObject(java.lang.String key)

### getParameterExists

    public boolean getParameterExists(java.lang.String param)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD